## zsh-autosuggestions 0.5.0

=== Makefile ===
SRC_DIR    := ./src

SRC_FILES := \
	$(SRC_DIR)/setup.zsh \
	$(SRC_DIR)/config.zsh \
	$(SRC_DIR)/util.zsh \
	$(SRC_DIR)/features.zsh \
	$(SRC_DIR)/bind.zsh \
	$(SRC_DIR)/highlight.zsh \
	$(SRC_DIR)/widgets.zsh \
	$(SRC_DIR)/strategies/*.zsh \
	$(SRC_DIR)/fetch.zsh \
	$(SRC_DIR)/async.zsh \
	$(SRC_DIR)/start.zsh

HEADER_FILES := \
	DESCRIPTION \
	URL \
	VERSION \
	LICENSE

PLUGIN_TARGET := zsh-autosuggestions.zsh

all: $(PLUGIN_TARGET)

$(PLUGIN_TARGET): $(HEADER_FILES) $(SRC_FILES)
	cat $(HEADER_FILES) | sed -e 's/^/# /g' > $@
	cat $(SRC_FILES) >> $@

.PHONY: clean
clean:
	rm $(PLUGIN_TARGET)

.PHONY: test
test: all
	@test -n "$$TEST_ZSH_BIN" && echo "Testing zsh binary: $(TEST_ZSH_BIN)" || true
	bundle exec rspec $(TESTS)

=== debian/changelog ===
zsh-autosuggestions (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 04 Dec 2018 08:45:34 +0000

zsh-autosuggestions (0.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #913618)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 25 Nov 2018 10:40:59 +0000

=== debian/control ===
Source: zsh-autosuggestions
Section: shells
Homepage: https://github.com/zsh-users/zsh-autosuggestions
Priority: optional
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/zsh-autosuggestions.git
Vcs-Browser: https://salsa.debian.org/debian/zsh-autosuggestions
Maintainer: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>= 11~),

Package: zsh-autosuggestions
Architecture: all
Depends: ${misc:Depends}, zsh,
Enhances: zsh
Description: Fish-like fast/unobtrusive autosuggestions for zsh
 As you type commands, you will see a completion offered after the cursor
 in a muted gray color. If you press the right-arrow key or End with the
 cursor at the end of the buffer, it will accept the suggestion, replacing
 the contents of the command line buffer with the suggestion. If you invoke
 the forward-word widget, it will partially accept the suggestion up to the
 point that the cursor moves to.

## zsh-autosuggestions 0.6.3

=== debian/changelog ===
zsh-autosuggestions (0.6.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 08 Jul 2019 06:19:47 +0000

zsh-autosuggestions (0.6.3-1) experimental; urgency=medium

  * New upstream version 0.6.3

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 25 Jun 2019 04:37:31 +0000

zsh-autosuggestions (0.5.2-1) experimental; urgency=medium

  * New upstream version 0.5.2
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 14 Apr 2019 02:06:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: shells
 Homepage: https://github.com/zsh-users/zsh-autosuggestions
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/zsh-autosuggestions.git
 Vcs-Browser: https://salsa.debian.org/debian/zsh-autosuggestions
 Maintainer: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
 
 Package: zsh-autosuggestions
 Architecture: all

## zsh-autosuggestions 0.6.4

=== DESCRIPTION ===
Fish-like fast/unobtrusive autosuggestions for zsh.

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,8 @@
 SRC_DIR    := ./src
 
 SRC_FILES := \
-	$(SRC_DIR)/setup.zsh \
 	$(SRC_DIR)/config.zsh \
 	$(SRC_DIR)/util.zsh \
-	$(SRC_DIR)/features.zsh \
 	$(SRC_DIR)/bind.zsh \
 	$(SRC_DIR)/highlight.zsh \
 	$(SRC_DIR)/widgets.zsh \

=== debian/changelog ===
zsh-autosuggestions (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Specify Rules-Requires-Root: no

 -- Mo Zhou <lumin@debian.org>  Mon, 13 Jan 2020 11:19:31 +0800

zsh-autosuggestions (0.6.3-3) unstable; urgency=medium

  * README.Debian: add a small tips about C^F keybinding.
  * Bump Standards-Version to 4.4.1 (no change).
  * Change my mail address, and refresh the year in copyright.

 -- Mo Zhou <lumin@debian.org>  Thu, 26 Dec 2019 19:31:53 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: shells
 Homepage: https://github.com/zsh-users/zsh-autosuggestions
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/zsh-autosuggestions.git
 Vcs-Browser: https://salsa.debian.org/debian/zsh-autosuggestions
-Maintainer: Mo Zhou <cdluminate@gmail.com>
+Maintainer: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12),
+Rules-Requires-Root: no
 
 Package: zsh-autosuggestions
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	:

## zsh-autosuggestions 0.7.0

=== debian/changelog ===
zsh-autosuggestions (0.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Mo Zhou ]
  * New upstream version 0.7.0

 -- Mo Zhou <lumin@debian.org>  Tue, 04 Jan 2022 09:40:19 -0500

## zsh-autosuggestions 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRC_DIR    := ./src
+SRC_DIR := ./src
 
 SRC_FILES := \
 	$(SRC_DIR)/config.zsh \

=== debian/changelog ===
zsh-autosuggestions (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1

 -- Mo Zhou <lumin@debian.org>  Sun, 01 Dec 2024 14:13:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: shells
 Homepage: https://github.com/zsh-users/zsh-autosuggestions
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/zsh-autosuggestions.git
 Vcs-Browser: https://salsa.debian.org/debian/zsh-autosuggestions
 Maintainer: Mo Zhou <lumin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
 
 Package: zsh-autosuggestions

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%zsh-autosuggestions-$1.tar.gz%" \
 https://github.com/zsh-users/zsh-autosuggestions/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
